coupang
GET/v2/providers/marketplace_openapi/apis/api/v1/vendor/shipping-place/outbound2609170000

发货地查询

# 01

简介

发货地查询

# 02

Query 参数

NameTypeDescription
placeCodesinteger
发货地代码

创建送货地址时,作为Response信息显示的值

与 outboundShippingPlaceCode 相同
placeNamesstring
发货地名称

与shippingPlaceName相同
pageNuminteger
查询页数

Min = 1, Max: 返回的totalPages 值

※ 查询列表时,请务必输入该数值
pageSizeinteger
每页最多查询数量

默认值=10, Max=50

※未输入时,默认值将处理为10
# 03

响应体

响应消息

NameTypeDescription
contentobject[]
发货地列表数据
outboundShippingPlaceCode
content[].outboundShippingPlaceCode
integer
发货地代码
shippingPlaceName
content[].shippingPlaceName
string
发货地名称

最多可输入50个字符
placeAddresses
content[].placeAddresses
object[]
发货地址
addressType
content[].placeAddresses[].addressType
string
地址类型

JIBUN, ROADNAME, OVERSEA
countryCode
content[].placeAddresses[].countryCode
string
国家代码,韩国国内为“KR”, 有效长度: 2
companyContactNumber
content[].placeAddresses[].companyContactNumber
string
电话号码
Type Min~Max
x 2~4 位
y 3~4 位
z 4 位
phoneNumber2
content[].placeAddresses[].phoneNumber2
string
备用电话号码(格式:与电话号码相同)
returnZipCode
content[].placeAddresses[].returnZipCode
string
邮政编码: 数字

5~6位数
returnAddress
content[].placeAddresses[].returnAddress
string
地址,最长150个字符
returnAddressDetail
content[].placeAddresses[].returnAddressDetail
string
详细住址,最长200个字符
remoteInfos
content[].remoteInfos
object[]
偏远地区配送信息
remoteInfoId
content[].remoteInfos[].remoteInfoId
integer
偏远地区配送信息ID
deliveryCode
content[].remoteInfos[].deliveryCode
string
物流公司代码

发货地创建API- 参考物流公司代码
jejuFee
content[].remoteInfos[].jejuFee
number
济州地区配送费(韩元)
notJeju
content[].remoteInfos[].notJeju
integer
济州地区外的配送费(韩元)
usable
content[].remoteInfos[].usable
boolean
偏远地区配送信息是否有效

true or false
createDate
content[].createDate
string
创建日期

YYYY/MM/DD
usable
content[].usable
boolean
是否可用

true or false
paginationobject
分页
currentPage
pagination.currentPage
integer
当前页

例) 1
totalPages
pagination.totalPages
integer
全部页Count

例) 1000
totalElements
pagination.totalElements
integer
全部数据Count

例) 1000
countPerPage
pagination.countPerPage
integer
每页数据Count

例) 10, 20, 30

Response Example

{
  "content": [
    {
      "outboundShippingPlaceCode": 1111222,
      "shippingPlaceName": "상품출고지1",
      "createDate": "2019/06/24",
      "placeAddresses": [
        {
          "addressType": "JIBUN",
          "countryCode": "KR",
          "companyContactNumber": "02-1234-5678",
          "phoneNumber2": "031-1234-5678",
          "returnZipCode": "05510",
          "returnAddress": "서울특별시 송파구 신천동",
          "returnAddressDetail": "7-30, Tower출고지"
        }
      ],
      "remoteInfos": [
        {
          "remoteInfoId": 581487,
          "deliveryCode": "DIRECT",
          "jeju": 5000,
          "notJeju": 2500,
          "usable": true
        }
      ],
      "usable": true
    }
  ],
  "pagination": {
    "currentPage": 1,
    "countPerPage": 1,
    "totalPages": 1,
    "totalElements": 1
  }
}
# 04

错误码

HTTP代码消息
400HTTP_400Bad Request

错误说明

HTTP类型错误消息解决方案
400400 (确认请求参数)

(pageNum & pageSize) or placeCodes or placeNames must be provided to call this API

请确认是否输入了(pageNum & pageSize)或placeCodes, placeNames数值。